Extensions
Update an extension tool
PATCH /v1/extensions/{toolName} · SDK updateExtensionTool · CLI deployments extension update
PATCH
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
toolName*stringMatch
^[A-Za-z0-9](?:[A-Za-z0-9._/-]{0,254}[A-Za-z0-9])?$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
callbackSecret?stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 4096defaultPolicyAction?stringValue in
"allow""deny""require_approval"description?stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 4096effect?stringValue in
"execute""read""write"execution?|||expectedVersion*integerRange
0 <= valueinputSchema?outputSchema?providerKey?stringMatch
^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$requiredScopes?array<>secrets?ExtensionToolResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timedefaultPolicyAction*stringValue in
"allow""deny""require_approval"description*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 8192effect*stringValue in
"execute""read""write"execution*||||id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$hasCallbackAuth*booleaninputSchema*outputSchema?name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 256providerKey?stringMatch
^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$requiredScopes*array<string>status*stringupdatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
0 <= valuecurl -X PATCH "https://example.com/v1/extensions/string" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "expectedVersion": 0 }'{ "createdAt": "2019-08-24T14:15:22Z", "defaultPolicyAction": "allow", "description": "string", "effect": "execute", "execution": { "mcpServerId": "string", "remoteToolName": "string", "type": "mcp" }, "id": "string", "hasCallbackAuth": true, "inputSchema": { "property1": null, "property2": null }, "outputSchema": { "property1": null, "property2": null }, "name": "string", "providerKey": "string", "requiredScopes": [ "string" ], "status": "string", "updatedAt": "2019-08-24T14:15:22Z", "version": 0}